MURPHI2XML(1)

NAME
murphi2xml - Print the abstract syntax tree of a parsed Murphi model

SYNOPSIS
murphi2xml [--output FILE | -o FILE] FILE

DESCRIPTION
The utility murphi2xml is bundled with the model checker Rumur and can be used to translate a Murphi model into its abstract syntax tree in an XML format. See rumur(1) for more information about Rumur or Murphi.

OPTIONS
--help or -?
    Display usage information.

--output FILE or -o FILE
    Set the path to write the output XML to. If this argument is omitted, output is written to standard out.

--version
    Display version information and exit.

SEE ALSO
rumur(1)

AUTHOR
All comments, questions and complaints should be directed to Matthew Fernandez <matthew.fernandez@gmail.com>.

LICENSE
This is free and unencumbered software released into the public domain.

Anyone is free to copy, modify, publish, use, compile, sell, or distribute this software, either in source code form or as a compiled binary, for any purpose, commercial or non-commercial, and by any means.

In jurisdictions that recognize copyright laws, the author or authors of this software dedicate any and all copyright interest in the software to the public domain. We make this dedication for the benefit of the public at large and to the detriment of our heirs and successors. We intend this dedication to be an overt act of relinquishment in perpetuity of all present and future rights to this software under copyright law.

THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

For more information, please refer to <http://unlicense.org>